Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.myparser
Class JavaParser.yyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              mycompiler.myparser.JavaParser.yyException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  JavaParser

    public static class JavaParser.yyException

extends java.lang.Exception

thrown for irrecoverable syntax errors and stack overflow.

See Also:
  Serialized Form

Constructor Summary
`JavaParser.yyException(java.lang.String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JavaParser.yyException

    public JavaParser.yyException(java.lang.String message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD